# cmake macro to test MEDIASTREAMER LIB

# Copyright (c) 2006, Alessandro Praduroux <pradu@pradu.it>
# Copyright (c) 2007, Urs Wolfer <uwolfer @ kde.org>
# Copyright (c) 2008, Matt Rogers <mattr@kde.org>
# Copyright (c) 2009, Tiago Salem Herrmann <tiagosh@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

IF (MEDIASTREAMER_INCLUDE_DIR AND MEDIASTREAMER_LIBRARIES)
    # Already in cache, be silent
    SET(MEDIASTREAMER_FIND_QUIETLY TRUE)
ENDIF (MEDIASTREAMER_INCLUDE_DIR AND MEDIASTREAMER_LIBRARIES)

FIND_PATH(MEDIASTREAMER_INCLUDE_DIR mediastreamer2/mediastream.h
    PATHS ${CMAKE_INSTALL_PREFIX}
    PATH_SUFFIXES mediastreamer )

FIND_LIBRARY(MEDIASTREAMER_LIBRARIES NAMES mediastreamer mediastreamer
    PATHS ${CMAKE_INSTALL_PREFIX}
    PATH_SUFFIXES lib)

if (MEDIASTREAMER_INCLUDE_DIR AND MEDIASTREAMER_LIBRARIES)
  SET(MEDIASTREAMER_FOUND TRUE)
endif(MEDIASTREAMER_INCLUDE_DIR AND MEDIASTREAMER_LIBRARIES)

IF (MEDIASTREAMER_FOUND)
  IF (NOT MEDIASTREAMER_FIND_QUIETLY)
      MESSAGE(STATUS "Found Mediastreamer: ${MEDIASTREAMER_LIBRARIES}")
  ENDIF (NOT MEDIASTREAMER_FIND_QUIETLY)
ELSE (MEDIASTREAMER_FOUND)
  IF (MEDIASTREAMER_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could NOT find mediastreamer")
  ENDIF (MEDIASTREAMER_FIND_REQUIRED)
ENDIF (MEDIASTREAMER_FOUND)

MARK_AS_ADVANCED(MEDIASTREAMER_INCLUDE_DIR MEDIASTREAMER_LIBRARIES)
